<?php

namespace App\Providers;

use App\Models\Setting;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap services.
     */

     public function boot()
     {
         // مشاركة إعدادات الموقع مع جميع الصفحات
         View::composer('*', function ($view) {
             $settings = Setting::first();
             $view->with('settings', $settings);
         });
     }
}
