<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    use HasFactory;

    // Define the table if it is not the plural form of the model name
    protected $table = 'setting';

    // Define the fillable attributes
    protected $fillable = [
        'website_name','website_description', 'facebook', 'twitter', 'youtube', 'instagram', 'logo', 'icon', 'store_price', 'currency',
        'aboutUsContent',
        'terms_and_conditions',
        'aboutUsImage1',
        'aboutUsImage2',
        'aboutUsImage3',
        'aboutUsImage4',
        'homeBackGround',
        'homeText1',
        'homeText2',
        'homeAboutImage',
        'api_key','iframe_id','integration_id','paymob','number_phone','number_whatsapp','number_email','homeAboutText'
    ];
    // If your table doesn't have timestamps, set this to false
    public $timestamps = false;
}
