<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Student extends Model
{
    protected $fillable = [
        'user_id',   // Foreign key to User model
        'name',
        'age',
        'grade_level',
        'system',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function enrollments()
    {
        return $this->hasMany(Enrollment::class);
    }
}
